gtkmm 2.4: Gtk::CellRendererSpin Class Reference

Main Page Widgets Namespaces Book

# Gtk::CellRendererSpin Class Reference
[TreeView Classes]

Inheritance diagram for Gtk::CellRendererSpin:

[legend]
List of all members.

## Detailed Description

TODO.

## Public Member Functions
virtual Glib::PropertyProxy_Base | _property_renderable ()
| Returns the property that this CellRenderer renders.
| CellRendererSpin ()
const GtkCellRendererSpin* | gobj () const
| Provides access to the underlying C GtkObject.
GtkCellRendererSpin* | gobj ()
| Provides access to the underlying C GtkObject.
Glib::PropertyProxy_ReadOnly< Gtk::Adjustment* > | property_adjustment () const
| The adjustment that holds the value of the spinbutton.
Glib::PropertyProxy<Gtk::Adjustment*> | property_adjustment ()
| The adjustment that holds the value of the spinbutton.
Glib::PropertyProxy_ReadOnly< double > | property_climb_rate () const
| The acceleration rate when you hold down a button.
Glib::PropertyProxy<double> | property_climb_rate ()
| The acceleration rate when you hold down a button.
Glib::PropertyProxy_ReadOnly< guint > | property_digits () const
| The number of decimal places to display.
Glib::PropertyProxy<guint> | property_digits ()
| The number of decimal places to display.
virtual | ~CellRendererSpin ()
## Related Functions
(Note that these are not member functions.)
Gtk::CellRendererSpin* | wrap (GtkCellRendererSpin* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::CellRendererSpin::~CellRendererSpin | ( |  | ) | `[virtual]`

Gtk::CellRendererSpin::CellRendererSpin | ( |  | ) |

## Member Function Documentation

virtual Glib::PropertyProxy_Base Gtk::CellRendererSpin::_property_renderable | ( |  | ) | `[virtual]`

| Returns the property that this CellRenderer renders. For instance, property_text for CellRendererText, and property_active for CellRendererToggle Needs to be overridden in derived classes. Reimplemented from Gtk::CellRendererText.

const GtkCellRendererSpin* Gtk::CellRendererSpin::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRendererText.

GtkCellRendererSpin* Gtk::CellRendererSpin::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CellRendererText.

Glib::PropertyProxy_ReadOnly<Gtk::Adjustment*> Gtk::CellRendererSpin::property_adjustment | ( |  | ) | const

| The adjustment that holds the value of the spinbutton. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gtk::Adjustment*> Gtk::CellRendererSpin::property_adjustment | ( |  | ) |

| The adjustment that holds the value of the spinbutton. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Gtk::CellRendererSpin::property_climb_rate | ( |  | ) | const

| The acceleration rate when you hold down a button. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Gtk::CellRendererSpin::property_climb_rate | ( |  | ) |

| The acceleration rate when you hold down a button. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gtk::CellRendererSpin::property_digits | ( |  | ) | const

| The number of decimal places to display. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gtk::CellRendererSpin::property_digits | ( |  | ) |

| The number of decimal places to display. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gtk::CellRendererSpin* wrap | ( | GtkCellRendererSpin* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellrendererspin.h